#ifndef LEAGUE_HPP
#define LEAGUE_HPP

#include <string>

#include "meeting.hpp"
#include "ranking.hpp"

class League
{
public:
    void add(const Team&);
    void add(const Meeting&);

    Ranking getRanking();
    Meetings getPlayedMeetings();
    Meetings getMeetingsToPlay();
    Meetings getAllMeetings();

private:
    Meetings generateAllMeetings();

    Teams teams_;
    Meetings meetings_;
};

#endif // LEAGUE_HPP
