#include <iostream> 
#include <random>

#include "league.hpp"

auto get_empty_league()
{
    return League();
}

auto get_league()
{
    auto league = get_empty_league();

    league.add({ "druzyna A" });
    league.add({ "druzyna B" });
    league.add({ "druzyna C" });

    return league;
}

void test_1()
{
    std::cout << "TEST 1: \n";

    auto league = get_league();

    league.add({ Team("druzyna A"), 2, Team("druzyna B"), 0 });
    league.add({ Team("druzyna B"), 0, Team("druzyna C"), 0 });
    league.add({ Team("druzyna A"), 1, Team("druzyna C"), 0 });

    std::cout << "Mecze rozegrane: \n";
    std::cout << league.getPlayedMeetings() << '\n';
    std::cout << "Mecze pozostale do rozegrania: \n";
    std::cout << league.getMeetingsToPlay() << '\n';
    std::cout << "Wszystkie mecze: \n";
    std::cout << league.getAllMeetings() << '\n';
    std::cout << "Ranking: \n";
    std::cout << league.getRanking() << '\n';
}

int main(void)
{
    test_1();
    std::cout << std::endl;
    return 0;
}
