#include "meeting_generator.hpp"

#include "team.hpp"

Meetings MeetingGenerator::generate(const Teams& teams) const
{
    Meetings meetings;

    for (auto it_host = teams.begin(); it_host != teams.end(); ++it_host)
    {
        for (auto it_visiting = teams.begin(); it_visiting != teams.end(); ++it_visiting)
        {
            if (it_host != it_visiting)
            {
                meetings.add(Meeting(*it_host, *it_visiting));
            }
        }
    }

    return meetings;
}
