#include "team.hpp"

Team::Team(const std::string& name)
    : name_(name)
{
}

std::ostream& operator<<(std::ostream& os, const Team& team)
{
    os << team.name_;
    return os;
}

bool operator<(const Team& lhs, const Team& rhs)
{
    return lhs.name_ < rhs.name_;
}

bool operator==(const Team& lhs, const Team& rhs)
{
    return lhs.name_ == rhs.name_;
}

void Teams::add(const Team& team)
{
    teams_.push_back(team);
}

std::ostream& operator<<(std::ostream& os, const Teams& teams)
{
    return os;
}
